package com.goldenwater.yjjt.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.goldenwater.common.annotation.Excel;
import com.goldenwater.common.core.domain.BaseEntity;

/**
 * 引江济太水量数据对象 gx_yjjt_sl_data
 */
public class YjjtSlData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "测站编码")
    private String stcd;

    @Excel(name = "断面名称")
    private String stnm;

    @Excel(name = "河流名称")
    private String rvnm;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "检测时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date spt;

    @Excel(name = "水位")
    private BigDecimal z;

    @Excel(name = "假定水位")
    private BigDecimal zJ;

    @Excel(name = "流量")
    private BigDecimal q;

    @Excel(name = "流向")
    private String liuxiang;

    private String nt;

    @Excel(name = "上传单位")
    private String addvcd;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public String getStcd() { return stcd; }
    public void setStcd(String stcd) { this.stcd = stcd; }
    public String getStnm() { return stnm; }
    public void setStnm(String stnm) { this.stnm = stnm; }
    public String getRvnm() { return rvnm; }
    public void setRvnm(String rvnm) { this.rvnm = rvnm; }
    public Date getSpt() { return spt; }
    public void setSpt(Date spt) { this.spt = spt; }
    public BigDecimal getZ() { return z; }
    public void setZ(BigDecimal z) { this.z = z; }
    public BigDecimal getZJ() { return zJ; }
    public void setZJ(BigDecimal zJ) { this.zJ = zJ; }
    public BigDecimal getQ() { return q; }
    public void setQ(BigDecimal q) { this.q = q; }
    public String getLiuxiang() { return liuxiang; }
    public void setLiuxiang(String liuxiang) { this.liuxiang = liuxiang; }
    public String getNt() { return nt; }
    public void setNt(String nt) { this.nt = nt; }
    public String getAddvcd() { return addvcd; }
    public void setAddvcd(String addvcd) { this.addvcd = addvcd; }
}
